> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List credit reports

> Returns a list of credit reports. Scoped to the specified client and ordered newest first. Uses cursor pagination.



## OpenAPI

````yaml /openapi-private.json get /clients/{clientId}/credit-reports
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /clients/{clientId}/credit-reports:
    get:
      tags:
        - Clients
      summary: List credit reports
      description: >-
        Returns a list of credit reports. Scoped to the specified client and
        ordered newest first. Uses cursor pagination.
      operationId: getClientCreditReports
      parameters:
        - name: clientId
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: 'Number of credit reports to return (min: 1, max: 100, default: 50).'
          schema:
            minimum: 1
            maximum: 100
            default: 50
            example: 50
            type: integer
        - name: cursor
          required: false
          in: query
          description: Opaque cursor from the previous response.
          schema:
            type: string
      responses:
        '200':
          description: >-
            Successfully retrieved credit reports. Returns items with pagination
            info containing the cursor for the next page.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetClientCreditReportsResponseDto'
        '400':
          description: >-
            Bad request - invalid query parameters (e.g., limit out of range,
            invalid cursor)
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ExceptionBaseDto'
                  - type: object
                    properties:
                      statusCode:
                        type: number
                        example: 400
                      message:
                        type: string
                        example: Limit must be between 1 and 100
                      error:
                        type: string
                        example: Bad Request
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '404':
          description: Client not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    GetClientCreditReportsResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CreditReportDto'
        pagination:
          $ref: '#/components/schemas/CreditReportCursorPaginationDto'
      required:
        - items
        - pagination
      id: PrivateGetClientCreditReportsResponseDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    CreditReportDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the credit report
        companyId:
          type: string
          description: Identifier of the client the credit report belongs to
        decision:
          type: string
          enum:
            - APPROVED
            - DECLINED
            - DEFERRED
          description: Credit check decision for the client
        attachmentId:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Identifier of the stored report attachment, or null when no PDF is
            available
        createdAt:
          $ref: '#/components/schemas/DateISO'
        modifiedAt:
          $ref: '#/components/schemas/DateISO'
        expiryDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
          description: Date the report expires, or null when no expiry date is available
        verifiedBy:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            Identifier of the user who last changed the decision, or null if
            never manually verified
      required:
        - id
        - companyId
        - decision
        - attachmentId
        - createdAt
        - modifiedAt
        - expiryDate
        - verifiedBy
      id: PrivateCreditReportDto
    CreditReportCursorPaginationDto:
      type: object
      properties:
        cursor:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - cursor
      id: PrivateCreditReportCursorPaginationDto
    DateISO:
      id: DateISO
      format: date-time
      anyOf:
        - type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        - type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````